# Create New Member

This API will create a new Popl account by email. If an account with a particular email already exists, this API will update that account instead of creating.

Don't forget to [authenticate](https://docs.popl.co/introduction/popl-documentation-and-integrations#authentication) before calling this API. &#x20;

* **Create Member**: Create a new member and have the option to assign the member to a team or send an email invite

```javascript
POST https://api.popl.co/api/pub/members/inviteMember

{
  "shouldSendInvites": true, // OPTIONAL: defaults to true
  "payload": [
    {
      "email": "example@example.com", // REQUIRED
      "jobTitle": "Software Engineer",
      "name": "John Doe",
      "bio": "Experienced software engineer.",
      "company": "Tech Corp",
      "photo": "http://example.com/photo.jpg",
      "location": "New York",
      "subteam": "Development",
      "subteamIds": [1, 2],
      "importType": "manual",
      "isPro": 1,
      "leadCaptureMode": 0,
      "links": [
        {
          "id": 123,
          "title": "LinkedIn",
          "value": "http://linkedin.com/in/johndoe",
          "icon": "linkedin",
          "updateExisting": true,
          "desc": "John's LinkedIn profile",
          "help_title": "LinkedIn Profile"
        }
      ],
      "msID": "MS123456",
      "department": "Engineering"
    }
  ],
  "teamId": 10
}

```

The parameters shown above are optional except "email" which is the only required parameter to create a new member. See descriptions for each parameter below:

* **email** (string) ***required***
  * The login email for the new member
* **jobTitle** (string)
  * The job title for the new member
* **name** (string)
  * The name for the new member
* **bio** (string)
  * The bio for the new member
* **company** (string)
  * The company name for the new member
* **subteam** (string)
  * The subteam id that the new member should be added to.
* **photo** (array)
  * The profile photo link for the new member.&#x20;
  * This can be any link that is publicly accessible
* **location** (string)
  * The location/address for the new member
* **leadCaptureMode** (string)
  * This parameter will set lead capture mode on or off for the new member
  * This value must be either "0" or "1", default is "0" (disabled)
* **links** (array)
  * This parameter will create links that appear on the member's digital card.&#x20;
  * Links can be any piece of content that Popl has available ranging from phone numbers, emails, websites, embedded videos and more.
  * Link Parameters:
    * **id** (integer)
      * The id of the specific link that is being used. Email link = 9, phone number (call) = 31, text message = 8, LinkedIn = 7, [contact us for a full list of link ids](mailto:teams@popl.co)
    * **title** (string)
      * The title that will be shown for this particular link. This value is optional and will use the default title if not provided.
    * **icon** (string)
      * The icon link for the new piece of content. This value is optional and will use the default icon if not provided.
    * **value** (string)
      * The actual link content value. So for example, if this was an email link, the value would be "<john@swift.com>"
    * **updateExisting** (boolean)
      * Whether this new link being added should replace an existing one if it exists, or create a new one. The default is to create a new link, even if one with the same value already exists.
* **templateId** (integer)
  * The id of the template that should be applied to the new member. If a template id is provided that does not exist, a template will not be added to the member. This value is optional.
* **shouldSendInvites** (boolean)
  * Should the API send this new member an email invite to claim their new digital business card. The default is true.&#x20;

Check out [Popl Teams](https://popl.co/pages/popl-teams) to instantly create high-converting digital business cards for your team.

If any issues or questions, please contact us at <teams@popl.co>, we are available nearly 24/7 and will get back to you within 6-8 hours or less.

\
With 🤍 from Popl.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.popl.co/introduction/members/create-new-member.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
